;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:plein2dessin
;
; PURPOSE:permet de faire plusieurs dessin sur un Postscript
;
; CATEGORY:sorties graphiques
;
; CALLING SEQUENCE:plein2dessin
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;
;       /EPS: pour selectionner le format encapsulated postscript
;
;	/PORTRAIT: oblige la feuille a etre en position "debout".
;
;	/LANDSCAPE: oblige la feuille a etre en position "allongee".
;	
;	/TRANS: fait un postscript et l'imprime -si on le desire- sur un
; transparant
;
; OUTPUTS:
;
; COMMON BLOCKS:
;	common.pro
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;                       5/7/98
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
pro plein2dessin,PORTRAIT=portrait,LANDSCAPE=landscape, FILENAME = filename
@common
;------------------------------------------------------------
reinitplt, /z,/invert
if keyword_set(portrait) then key_portrait = 1
if keyword_set(landscape) then key_portrait = 0
openps, FILENAME = filename
;------------------------------------------------------------
; partie a changer
;------------------------------------------------------------
;plt,lec('VOTEMPER'),petit=[2,1,19,10]
;plt,lec('VOTEMPER'),petit=[2,1,19,10], /rempli
;pltz,lec('VOTEMPER'),petit=[5,10,16,28],boite=[100,300,-1,1,500],/rempli
;plt,lec('VOTEMPER') ,petit=[1,2,14,19]
;plt,lec('VOSALINE') ,petit=[14,2,27,19]
;plt,1000000.* lec('VORESTO '),0,TITRE='10E6*VORESTO',petit=[1,1,19,10],/rem
;plt,1000000.* lec('VORESTO '),0,TITRE='10E6*VORESTO',petit=[1,10,19,19],/rem
;plt,1000000.* lec('VORESTO '),0,TITRE='10E6*VORESTO',petit=[1,19,19,28],/rem
;placecolor,[1,1,19,10]


; p1=pression(nlec('sn',820803,'AT1',dat=820831,dir='t'),nlec('tn',820803,'AT1',dat=820831,dir='t'),grad='x')
; p2=pression(nlec('sn',820803,'RE2',dat=820831,dir='t'),nlec('tn',820803,'RE2',dat=820831,dir='t'),grad='x')
;vardate = 'AUG-82'
;varname = 'gradiant zonal de pression *1000'
;pltz,p2*1e3 ,boite=[310,370,-.5,.5,300],-1.,1,int=.2 ,zoom=2000,/nocolor,petit=[1,2,20,16], /post  
;varexp = 'RE1'
;pltz,p1*1e3 ,boite=[310,370,-.5,.5,300],-1.,1,int=.2,zoom=2000,/nocolor,petit=[1,15,20,29],/ post 

;bte = [305, 315, 3, 10]
;;a = nlec('htoth',810101,'AT1',dat=821231,boite=bte,dir='xy')-nlec('hpycn',810101,'AT1',dat=821231,boite=bte,dir='xy')
;a = nlec('sss',810101,'AT1',dat=821231,boite=bte,dir='xy')
;varexp = 'REF, RE1 et RE3'
;pltt, nlec('sss',810101,'RE3',dat=821231,boite=bte,dir='xy'),sty1d=2  
;pltt, a, /ov1d
;pltt, nlec('sss',810101,'ATF',dat=821231,boite=bte,dir='xy'),/ov1d,sty1d=1 
;pltt, nlec('htoth',810101,'RE3',dat=820631,boite=bte,dir='xy')- nlec('hpycn',810101,'RE3',dat=820631,boite=bte,dir='xy'),/ov1d,sty1d=2  
;pltt, nlec('htoth',810101,'ATF',dat=821231,boite=bte,dir='xy')-nlec('hpycn',810101,'ATF',dat=821231,boite=bte,dir='xy'),/ov1d,sty1d=1 

;a = nlecs('utrend6',810115,'RE5',821215,dir='yt',boite=[305,375,-0.5,0.5])*1e6
;a = nlecs('un',810115,'RE5',821215,dir='yt',boite=[305,375,-0.5,0.5])
;vardate = '81-82'
;varname = varname+'*1e6'
;pltz, a, -1, 1,petit=[1,2,1],/nocolor, nite = 5
;a = nlecs('utrend6',810115,'RE6',821215,dir='yt',boite=[305,375,-0.5,0.5])*1e6
;a = nlecs('un',810115,'RE6',821215,dir='yt',boite=[305,375,-0.5,0.5])
;varname = varname+'*1e6'
;pltz,a,-1,1,/por,petit=[1,2,2],/nocolor,/noerase , nite = 5
;placecolor,[4,1.75,17,2.25]
;plt,(nlecs('vtrend1',810815,'RE5')-reform((nlecs('spgv',810815,'RE5'))[*]#replicate(1,jpk),nxv,nyv,jpk))*1e6,-5,5,/nocolor ,petit=[1,2,1]
; plt,(nlecs('vtrend1',810815,'RE6')-reform((nlecs('spgv',810815,'RE6'))[*]#replicate(1,jpk),nxv,nyv,jpk))*1e6,-5,5,/nocolor ,petit=[1,2,2]

;plt, nlecs('sst',810715,'RE5'),20,28,int=.5,petit=[1,3,1],/nocolo,/por,/rempli         
;plt, nlecs('sst',810715,'RE7'),20,28,int=.5,petit=[1,3,2],/nocolo,/por,/rempli,/noerase          

;a = nlecs('sst',810715,'RE5')-nlecs('sst',810715,'RE7')
;varexp = 'RE5-RE7'
;set_plot, 'x'
;lct,  64
;set_plot, 'ps'
;plt, a,-1,1,petit=[1,3,3],/nocolo,/por,/rempli,/noerase           

; plt,hdyn(nlecs('sn',810615,'RE5')<1e6,nlecs('tn',810615,'RE5')<1e6)-hdyn(nlecs('sn',810615,'RE6')<1e6,nlecs('tn',810615,'RE6')<1e6) , 0,10,/inv ,/por,petit=[2,2,1],/nocolor,ysurx=2 
; plt,hdyn(nlecs('sn',810715,'RE5')<1e6,nlecs('tn',810715,'RE5')<1e6)-hdyn(nlecs('sn',810715,'RE6')<1e6,nlecs('tn',810715,'RE6')<1e6) , 0,10,/inv ,/por,petit=[2,2,2],/nocolor,ysurx=2,/noerase 
; plt,hdyn(nlecs('sn',810815,'RE5')<1e6,nlecs('tn',810815,'RE5')<1e6)-hdyn(nlecs('sn',810815,'RE6')<1e6,nlecs('tn',810815,'RE6')<1e6) , 0,10,/inv ,/por,petit=[2,2,3],/nocolor,ysurx=2,/noerase 
; plt,hdyn(nlecs('sn',810915,'RE5')<1e6,nlecs('tn',810915,'RE5')<1e6)-hdyn(nlecs('sn',810915,'RE6')<1e6,nlecs('tn',810915,'RE6')<1e6) , 0,10,/inv ,/por,petit=[2,2,4],/nocolor,ysurx=2,/noerase 
;placecolor,[4,15,17,15.5] 


;a = nlecs('utrend1',810715,'RE5',boite=[305,375,-1, 1],dir='y')*1e6
;;b = nlecs('spgu',810815,'RE5',boite=[300,330,7,8],dir='y')*1e6
;;b = b#replicate(1, jpk)
;;a = a-b
;;varname = 'gradient, zonal de pression (totale)'
;pltz, a, -1, 1,/nocolor, /rempli,petit=[1,3,1]  

;c = nlecs('utrend1',810715,'RE7',boite=[305,375,-1, 1],dir='y')*1e6
;;d = nlecs('spgu',810815,'RE7',boite=[300,330,7,8],dir='y')*1e6
;;d = d#replicate(1, jpk)
;;c = c-d
;;varname = 'gradient, zonal de pression (totale)'
;pltz,c,-1, 1,/nocolor, /rempli,petit=[1,3,2], /noerase  
;varexp = 'RE5-RE7'
;pltz, a-c, -1, 1,/nocolor, /rempli,petit=[1,3,3],/noerase  

p = nlec('gps',810813,'REF')*1000
plt, p-moyenne(p,'xy') ,/land,petit=[1,2,1],-8,8,/rempli
 h=hdyn(nlec('sn'),nlec('tn')) 
plt, h-moyenne(h, 'xy'), petit=[1,2,2], /rempli
;------------------------------------------------------------
; fin de la partie a changer
;------------------------------------------------------------
closeps
imprime,TRANS=trans
return
end
